﻿<div class="modal fade" id="myModalMsgLogOut" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabelLogOut">Msg System</h4>
            </div>
            <div style=" text-align :center ">
                <div class="panel-body">
                    your session will expire in <span id="spanTimeLeft"></span> seconds
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" id="btnCalcelLogOut" class="btn btn-default" data-dismiss="modal">Cancel</button>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">

    $(function () {
        $("body").on('click keypress', function () {
            ResetThisSession();
        });
    });

    var timeInSecondsAfterSessionOut = @FormsAuthentication.Timeout.TotalSeconds; 
    var secondTick = 0;

    function ResetThisSession() {
        secondTick = 0;
    }

    function StartThisSessionTimer() {
        secondTick++;
        var timeLeft = ((timeInSecondsAfterSessionOut - secondTick) / 60).toFixed(0); // in minutes
        timeLeft = timeInSecondsAfterSessionOut - secondTick; // override, we have 30 secs only

        if (timeLeft <= 10)
        {
            $('#myModalMsgLogOut').modal({
                backdrop: 'static',
                keyboard: true
            });

            $("#spanTimeLeft").html(timeLeft);
           
        }


        if (secondTick > timeInSecondsAfterSessionOut) {
            clearTimeout(tick);
            window.location = "/Login/SignOut";
            return;
        }
        tick = setTimeout("StartThisSessionTimer()", 1000);
    }

    //StartThisSessionTimer();

    $(document).ready(function () {

        $("#btnCalcelLogOut").click(function () {
            ResetThisSession();
        });

        $('#myModalMsgLogOut').on('hidden.bs.modal', function () {
            ResetThisSession();
        });

    });

</script>
